FROM python:3.12-alpine

# Устанавливаем рабочую директорию
WORKDIR /app

# Копируем файл зависимостей и устанавливаем их
COPY requirements.txt /app/
RUN set -ex && \
    apk update && \
    apk add --no-cache build-base mariadb-connector-c-dev && \
    pip install --upgrade pip && \
    pip install -r requirements.txt && \
    pip cache purge && \
    apk del build-base

# Копируем исходный код проекта
COPY . /app

# Открываем порт 8000 для веб-сервера
EXPOSE 8000

# Определяем команду по умолчанию (например, запуск веб-сервера)
CMD ["python3", "manage.py", "runserver", "0.0.0.0:8000"]
